package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Adv2;
import com.realnet.basicp1.Services.Adv2Service ;












@RequestMapping(value = "/Adv2")
 @CrossOrigin("*") 
@RestController
public class Adv2Controller {
	@Autowired
	private Adv2Service Service;

@Value("${projectPath}")
	private String projectPath;
 












	@PostMapping("/Adv2")
		  public Adv2 Savedata(@RequestBody Adv2 data) {
		Adv2 save = Service.Savedata(data)	;











		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Adv2/{id}")
	public  Adv2 update(@RequestBody Adv2 data,@PathVariable Integer id ) {
		Adv2 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Adv2/getall/page")
	public Page<Adv2> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Adv2> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Adv2")
	public List<Adv2> getdetails() {
		 List<Adv2> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Adv2")
	public List<Adv2> getallwioutsec() {
		 List<Adv2> get = Service.getdetails();		
		return get;
}
@GetMapping("/Adv2/{id}")
	public  Adv2  getdetailsbyId(@PathVariable Integer id ) {
		Adv2  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Adv2/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}













}